Package edu.msu.cme.rdp.multicompare

# Class MergeTaxonCount

java.lang.Object
edu.msu.cme.rdp.multicompare.MergeTaxonCount

public class MergeTaxonCount extends Object

## Constructor Summary

Constructors
Constructor
Description
`MergeTaxonCount()`

## Method Summary

Modifier and Type
Method
Description
`MultiClassifierResult`
`getResult()`
`static void`
`main(String[] args)`
`void`
`processOneHierBlock(ArrayList<String[]> oneHierBlock)`
`void`
`processOneHierFile(String file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MergeTaxonCount

public MergeTaxonCount()

## Method Details

### getResult

public MultiClassifierResult getResult()

### processOneHierFile

public void processOneHierFile(String file) throws IOException

Throws:
  `IOException`

### processOneHierBlock

public void processOneHierBlock(ArrayList<String[]> oneHierBlock) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`